DES_EDE2 Class Reference

DES-EDE2 More...

`#include <des.h>`

Inheritance diagram for DES_EDE2:

## Public Types

typedef BlockCipherFinal < ENCRYPTION, Base > | Encryption
typedef BlockCipherFinal < DECRYPTION, Base > | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

DES-EDE2

Definition at line 62 of file des.h.

The documentation for this class was generated from the following file:

- des.h